Skip to main content
GET
https://{tenantDomain}/api/v2
/
actions
/
modules
/
{id}
/
versions
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
using Auth0.ManagementApi.Actions.Modules;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.Actions.Modules.Versions.ListAsync(
            id: "id",
            request: new GetActionModuleVersionsRequestParameters {
                Page = 1,
                PerPage = 1
            }
        );
    }

}
{
  "versions": [
    {
      "id": "<string>",
      "module_id": "<string>",
      "version_number": 123,
      "code": "<string>",
      "secrets": [
        {
          "name": "<string>",
          "updated_at": "2023-11-07T05:31:56Z"
        }
      ],
      "dependencies": [
        {
          "name": "<string>",
          "version": "<string>"
        }
      ],
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123,
  "page": 123,
  "per_page": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The unique ID of the module.

Query Parameters

page
integer

Use this field to request a specific page of the list results.

per_page
integer

The maximum number of results to be returned by the server in a single response. 20 by default.

Response

The module versions were retrieved.

versions
object[]

A list of ActionsModuleVersion objects.

total
integer

The total number of versions for this module.

page
integer

The page index of the returned results.

per_page
integer

The number of results requested per page.